# RGB Audio Backlight
* WS2812B RGB LED Stripe + Arduino Nano
* Switching modes via Button
* Tweaking mode settings via Potentiometer

## See Instructables for details: <img src="https://i.pinimg.com/originals/1b/3b/cd/1b3bcd36dafc998e58f5dac2b84fdeea.png" width="24"> [Instructable](https://www.instructables.com/id/RGB-Backlight-MSGEQ7-Audio-Visualizer/)

<img src="https://i.imgur.com/6Gizjin.jpg" width="500">

## Audio Visualizer with MSGEQ7 Hardware
[RGBStripe_MSGEQ7](/RGBStripe_FFT)

* MSGEQ7 Circuit connected to Arduino
* Audio Spectrum Analyzer using MSGEQ7 Band outputs

## Audio Visualizer with Fast Fourier Transformation (FFT)

* Audio Spectrum Analyzer only using Software ([fix_fft](https://www.arduinolibraries.info/libraries/fix_fft))

### Schematic
<img src="./doc/schematic.png" width="600">

### 3D Printed Case
<img src="./doc/case.PNG" width="600">

[RGBStripe_FFT](/RGBStripe_FFT)

* 3.5mm Aux connected to Analog Input of Arduino
* Audio Spectrum Analyzer using in Software FFT Algorithm to divide Signal in Audio Bands
